import env from "$lib/env";
import { AriseIdConnect } from "@arise/aidc-sveltekit";
import { defaultLucia } from "@arise/aidc-sveltekit/default";

export const aidc = await AriseIdConnect.init({
  client_id: env.AIDC_CLIENT_ID,
  client_secret: env.AIDC_CLIENT_SECRET,
  scope: "openid offline profile",
  wrapper: defaultLucia,
});
