import { error } from "@sveltejs/kit";
import type { OperationResult } from "@urql/core";

export function handleGqlError(result: OperationResult): void {
  if (result.error) {
    error(500, { message: result.error.message });
  }
}
