import type { Config } from "tailwindcss";

export default {
  content: ["./src/**/*.{html,js,svelte,ts}"],

  theme: {
    extend: {
      fontFamily: {
        game: ["Londrina Solid", "monospace"],
      },
      borderWidth: {
        6: "6px",
      },
      colors: {
        random: Object.fromEntries(
          [50, 100, 200, 300, 400, 500, 600, 700, 800, 900].map((shade) => [
            shade,
            `var(--tw-random-color-${shade})`,
          ]),
        ),
      },
    },
  },

  plugins: [],
} as Config;
